इसे छोड़कर कंटेंट पर जाएं
हिन्दी

ईमेल टेम्पलेट

PUT/v1/mailboxes/{mailbox_id}/templates/{template_id}

प्रति मेलबॉक्स अधिकतम 100 टेम्पलेट। फ़ील्ड: name, subject, text और html; HTML साफ़ किया जाता है। टेम्पलेट अपने आप ईमेल नहीं भेजता।

प्राधिकरण और पहुंच क्षेत्र · त्रुटियाँ और दोहराव

अनुरोध

टर्मिनल विंडो
curl -X PUT 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/templates/<template_id>' \
-H 'Authorization: Bearer <access_token>' \
-H 'Content-Type: application/json' \
--data '{"name":"<name>"}'

विकल्प

mailbox_idpathअनिवार्य रूप से

integer

template_idpathअनिवार्य रूप से

integer

X-Customer-IDheader
विकल्प 1

string

विकल्प 2

null

निकाय से अनुरोध करें · application/json

object

nameअनिवार्य रूप से

string

minLength: 1

maxLength: 120

subject

string

गलती करना: ""

maxLength: 998

text

string

गलती करना: ""

maxLength: 20000

html

string

गलती करना: ""

maxLength: 30000

अज्ञात फ़ील्ड स्वीकार नहीं किए जाते.

प्रतिक्रियाएँ

200 सफल प्रतिक्रिया

application/json

object

idअनिवार्य रूप से

integer

dataअनिवार्य रूप से

object

nameअनिवार्य रूप से

string

minLength: 1

maxLength: 120

subject

string

गलती करना: ""

maxLength: 998

text

string

गलती करना: ""

maxLength: 20000

html

string

गलती करना: ""

maxLength: 30000

अज्ञात फ़ील्ड स्वीकार नहीं किए जाते.

updated_atअनिवार्य रूप से

string

UTC. में दिनांक और समय यदि कोई ऑफसेट नहीं है, तो मान UTC. का भी प्रतिनिधित्व करता है

401 लॉगिन आवश्यक है

application/json

object

detail
विकल्प 1

string

विकल्प 2

object

code

string

message

string

विकल्प 3

array

सरणी तत्व

object

403 तक पहुँच नहीं

application/json

object

detail
विकल्प 1

string

विकल्प 2

object

code

string

message

string

विकल्प 3

array

सरणी तत्व

object

404 संसाधन नहीं मिला

application/json

object

detail
विकल्प 1

string

विकल्प 2

object

code

string

message

string

विकल्प 3

array

सरणी तत्व

object

409 राज्य संघर्ष

application/json

object

detail
विकल्प 1

string

विकल्प 2

object

code

string

message

string

विकल्प 3

array

सरणी तत्व

object

422 सत्यापन त्रुटि

application/json

object

detail

array

सरणी तत्व

object

locअनिवार्य रूप से

array

सरणी तत्व
विकल्प 1

string

विकल्प 2

integer

msgअनिवार्य रूप से

string

typeअनिवार्य रूप से

string

503 अस्थायी अनुपलब्धता

application/json

object

detail
विकल्प 1

string

विकल्प 2

object

code

string

message

string

विकल्प 3

array

सरणी तत्व

object